const express = require("express");
const socketIO = require("socket.io");
const state = require("./state.js");

const PORT = 3001;

const app = express();
const server = app.listen(PORT, () => console.log(`Example app listening on port ${PORT}!`));
const io = socketIO(server);

app.get('/', (req, res) => res.send('<pre>' + JSON.stringify(state) + '</pre>'));

module.exports = {
    app, server, io
};